using System;
using System.Windows.Forms;

using BookShop.Controller;
using BookShop.Dal;
using BookShop.Model;
using BookShop.View;

namespace BookShop
{
    // Ez az osztly automatikusan generldik ha Windows Application tpus
    // projektet hozunk ltre a VS-ben. Feladata az alkalmazs elindtsa.
    static class Program
    {
        #region konstansok
        // Az adatbzis elrsi tvonala.
        private const string DATABASE_PATH = @"..\..\..\..\..\kulso\db\bookshop.db";
        #endregion


        #region belpsi pont
        /// <summary>
        /// Az alkalmazs f belpsi pontja.
        /// </summary>
        [STAThread]
        static void Main()
        {
            // Engedlyezi az opercis rendszer ltal hasznlt stlus hasznlatt az alkalmazsban.
            Application.EnableVisualStyles();

            // Belltja az alaprtelmezett szveg renderelst.
            Application.SetCompatibleTextRenderingDefault(false);

            // Ltrehozza a rtegek pldnyait s belltja a szksges referencikat.
            //IBookShopDao bookShopDAO = new BookShopDaoMem();
            IBookShopDao bookShopDAO = new BookShopDaoDb(DATABASE_PATH);
            BookShopGui bookShopGui = new BookShopGui();
            BookShopController bookShopController = new BookShopController();

            bookShopGui.Controller = bookShopController;
            bookShopController.BookShopDao = bookShopDAO;

            /* Elindtja az alkalmazst s az gynevezett
             * "application message loop"-ot, ami a felhasznli akcik
             * kezelsrt (egr-, billenty esemnyek) felels.
             * Ltrehozza a BookShopGui osztly egy pldnyt, mint az
             * alkalmazs fablaka, s felratkozik a "Closed' esemnyre. Ha az
             * alkalmazs fablaka bezrdik, lelltja az
             * "application message loop"-ot s felszabadtja az erforrsokat.
             * */
            Application.Run(bookShopGui);
        }
        #endregion
    }
}