using System;
using System.Collections.Generic;

using BookShop.Dal;
using BookShop.Model;

namespace BookShop.Controller
{
    /// <summary>
    /// Ez az osztly vezrli az egsz programot, valamint a view s model csomagokat
    /// kti ssze. Itt tallhat az zleti logika (business logic) is.
    /// </summary>
    public class BookShopController
    {
        #region mezk
        private IBookShopDao m_dao;
        #endregion


        #region tulajdonsgok
        /// <summary>
        /// Visszaadja vagy belltja a <see cref="BookShopDao"/> objektumot.
        /// </summary>
        public IBookShopDao BookShopDao
        {
            get { return m_dao; }
            set { m_dao = value; }
        }
        #endregion


        #region mutargy metdusok
        public bool UjMutargy(Mutargy mutargy)
        {
            return m_dao.UjMutargy(mutargy);
        }


        public IEnumerable<Mutargy> MutargyLista()
        {
            return m_dao.MutargyLista();
        }
        #endregion
    }
}
